#! Flux2D 11.2


newProject()

lastInstance = ParameterGeom(name='INF_RADIUS : RADIUS OF THE INNER INFINITE BOX',
                             expression='100')

lastInstance = ParameterGeom(name='N : NUMBER OF TURNS',
                             expression='80')

lastInstance = ParameterGeom(name='RS : RADIUS OF THE WINDING',
                             expression='10')

lastInstance = ParameterGeom(name='WD : DIAMETER OF ONE TURN',
                             expression='1')

lastInstance = SymmetryYaxis(physicalType=SymmetryTangentMagFields(),
                             position='0')

lastInstance = InfiniteBoxDisc(DISCOID=['INF_RADIUS',
                               'INF_RADIUS+35'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '-N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'Max(10,N*WD/2+2*RS)'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'Min(-10,-N*WD/2-2*RS)'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '85'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '-85'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS-WD/2',
                                'N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS-WD/2',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS-WD/2',
                                '-N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS+WD/2',
                                'N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS+WD/2',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS+WD/2',
                                '-N*WD/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS+6*WD',
                                'Max(10,N*WD/2+2*RS)'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['RS+6*WD',
                                'Min(-10,-N*WD/2-2*RS)'],
                                nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[7],
                           Point[8]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[7],
                           Point[9]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[8],
                           Point[11]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[9],
                           Point[10]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[11],
                           Point[13]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[10],
                           Point[12]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[13],
                           Point[1]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[12],
                           Point[3]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[10],
                           Point[20]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[20],
                           Point[21]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[21],
                           Point[11]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[9],
                           Point[14]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[8],
                           Point[16]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[14],
                           Point[15]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[15],
                           Point[16]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[17],
                           Point[18]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[18],
                           Point[19]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[14],
                           Point[17]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[16],
                           Point[19]],
                           nature=Nature['STANDARD'])

buildFaces()

MeshPoint['SMALL'].value = 'WD*0.5'

MeshPoint['MEDIUM'].value = 'WD*1.75'

MeshPoint['LARGE'].value = 'WD*6'

lastInstance = MeshPoint(name='INFINITE : infinite region mesh',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='16',
                         color=Color['Cyan'])

lastInstance = MeshPoint(name='COIL_CENTER : mesh at the center of the coil',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='Min(N*WD/4,2*WD)',
                         color=Color['White'])

lastInstance = MeshPoint(name='EXTERIOR : mesh on the air',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='WD*5',
                         color=Color['Black'])

PointInfiniteBox[1, 2, 3, 4, 5, 6].assignMeshPoint(meshPoint=MeshPoint['INFINITE'])

PointCoordinates[15, 18].assignMeshPoint(meshPoint=MeshPoint['COIL_CENTER'])

PointCoordinates[20, 21].assignMeshPoint(meshPoint=MeshPoint['EXTERIOR'])

PointCoordinates[14, 16, 17, 19].assignMeshPoint(meshPoint=MeshPoint['SMALL'])

PointCoordinates[7, 8, 9, 10, 11].assignMeshPoint(meshPoint=MeshPoint['MEDIUM'])

PointCoordinates[12, 13].assignMeshPoint(meshPoint=MeshPoint['LARGE'])

meshLines()

meshFaces()

saveProjectAs('TESTCASE_INI.FLU')

