#! Flux2D 11.2


#executeBatchSpy('buildGeomesh.py')

lastInstance = ApplicationMagneticDC2D(domain2D=Domain2DAxisymetric(),
                                       solverFE=SolverFEFlux3D(),
                                       coilCoefficient=CoilCoefficientAutomatic())

lastInstance = VariationParameterPilot(name='I : CURRENT IN THE COIL',
                                       referenceValue=10.0)

lastInstance = CurrentStrandedCoil(name='COILCONDUCTOR : COMPONENT OF THE COIL',
                                   rmsModulus='I')

lastInstance = RegionFace(name='COIL : COIL WITN N TURNS',
                          magneticDC2D=MagneticDC2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='N',
                          seriesParallel=AllInSeries(),
                          electricComponent=CoilConductor['COILCONDUCTOR'])),
                          color=Color['Red'],
                          visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='AIR : AIR SURROUNDING THE COIL',
                          magneticDC2D=MagneticDC2DFaceVacuum(),
                          color=Color['Turquoise'],
                          visibility=Visibility['VISIBLE'])

FaceAutomatic[2, 3, 4].assignRegion(region=RegionFace['AIR'])

FaceAutomatic[5].assignRegion(region=RegionFace['COIL'])

startMacroTransaction()
RegionFace['INFINITE'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['INFINITE'].visibility = Visibility['VISIBLE']

endMacroTransaction()

saveProjectAs('physbuilt.FLU')

